Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.spi
Interface CollectionRegion

All Superinterfaces:
  Region, TransactionalDataRegion

All Known Implementing Classes:
  CollectionRegionImpl, EhcacheCollectionRegion

    public interface CollectionRegion

extends TransactionalDataRegion

Defines the contract for a cache region which will specifically be used to store collection data.

Impl note: Hibernate always deals with changes to collections which (potentially) has its data in the L2 cache by removing that collection data; in other words it never tries to update the cached state, thereby allowing it to avoid a bunch of concurrency problems.

Method Summary
`CollectionRegionAccessStrategy` | `buildAccessStrategy(AccessType accessType)` Build an access strategy for the requested access type.

Methods inherited from interface org.hibernate.cache.spi.TransactionalDataRegion
`getCacheDataDescription, isTransactionAware`

Methods inherited from interface org.hibernate.cache.spi.Region
`contains, destroy, getElementCountInMemory, getElementCountOnDisk, getName, getSizeInMemory, getTimeout, nextTimestamp, toMap`

Method Detail

### buildAccessStrategy

    CollectionRegionAccessStrategy buildAccessStrategy(AccessType accessType)
                                                       throws CacheException

  Build an access strategy for the requested access type.

  Parameters:
    `accessType` - The type of access strategy to build; never null.
  Returns:
    The appropriate strategy contract for accessing this region for the requested type of access.
  Throws:
    `CacheException` - Usually indicates mis-configuration.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.